Subject: Offline Message from Nadien : My order # 100128124 is missing 3 items and the
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 08 Jun 2020 10:16:26 -0000

From: Nadien  <[email-masked]>
Phone: 
Location: Jeddah, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/
Department: 

My order # 100128124 is missing 3 items and the courrier (Naqel) have confirmed that they lost the items. please be advised that your records should indicate that i received only 1 box and those items were not present. Therefore, I demand a refund at the soonest as I am sick of reaching out to you and them constantly.!!!! The missing items are the following (Vtech Digital Baby Monitor 4.3" 582.48 SAR, Tommee Tippee Twist & Click Nappy Disposal 314.48 SAR, Little Unicorn- Cotton Muslin Quilt 242.13 SAR). I'd appreciate if someone contacts me to go through the refund process. Thank you

----
Zopim
https://www.zopim.com